package com.usky.iot.service;

import com.usky.iot.domain.PmReceive;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysUser;

import java.util.List;

/**
 * <p>
 * 报告接收表 服务类
 * </p>
 *
 * @author han
 * @since 2024-07-09
 */
public interface PmReceiveService extends CrudService<PmReceive> {

    /**
     * 新增接收记录
     */
    void add(PmReceive receive);

    /**
     * 已/未读状态更新
     */
    void updateReadFlag(Integer reportId);

    List<SysUser> test( Integer tenantId);


}
